<cfset caller.ups_name="Next Day Air">		
<!--- 
ups_Name will be used on our result form.  now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_1da.Weight,
		ups_1da.Zone102,
		ups_1da.Zone103,
		ups_1da.Zone104,
		ups_1da.Zone105,
		ups_1da.Zone106,
		ups_1da.Zone107,
		ups_1da.Zone108,
		ups_1da.Zone124,
		ups_1da.Zone125,
		ups_1da.Zone126
	FROM ups_1da
	WHERE 
		ups_1da.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_1da.Weight DESC
</cfquery>
<!--- 
Now we pull the specific rate from the service database 
--->
<cfswitch expression="#ZoneGrab.NextDayAir#">
	<cfcase value="102"><cfset caller.ups_Charge=RateGrab.Zone102></cfcase>
	<cfcase value="103"><cfset caller.ups_Charge=RateGrab.Zone103></cfcase>
	<cfcase value="104"><cfset caller.ups_Charge=RateGrab.Zone104></cfcase>
	<cfcase value="105"><cfset caller.ups_Charge=RateGrab.Zone105></cfcase>
	<cfcase value="106"><cfset caller.ups_Charge=RateGrab.Zone106></cfcase>
	<cfcase value="107"><cfset caller.ups_Charge=RateGrab.Zone107></cfcase>
	<cfcase value="108"><cfset caller.ups_Charge=RateGrab.Zone108></cfcase>
	<cfcase value="124"><cfset caller.ups_Charge=RateGrab.Zone124></cfcase>
	<cfcase value="125"><cfset caller.ups_Charge=RateGrab.Zone125></cfcase>
	<cfcase value="126"><cfset caller.ups_Charge=RateGrab.Zone126></cfcase>
	<cfcase value="[1]">
		<!--- 
		service not available here. 
		--->
		<cfset caller.ups_Error="Shipment to the Virgin Islands, Guam and the Marshall Islands is not presently available">
	</cfcase>
	<cfcase value="[2]">
		<!--- 
		Hawaii!  Needs special processing 
		--->
		<cfquery 
			datasource="#attributes.SiteDSN#" 
			name="HZoneGrab" 
			maxrows="1" 
			username="#request.UPSRUName#" 
			password="#request.UPSRPWD#">
			SELECT
				ups_hawaii.ZIP,
				ups_hawaii.NextDay
			FROM ups_hawaii
			WHERE 
				ups_hawaii.ZIP=
				<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.PostalCode#">
		</cfquery>
		<cfset HZone=HZoneGrab.NextDay>
		<cfswitch expression="#HZone#">
			<cfcase value="124"><cfset caller.ups_Charge=RateGrab.Zone124></cfcase>
			<cfcase value="126"><cfset caller.ups_Charge=RateGrab.Zone126></cfcase>
		</cfswitch>
	</cfcase>
	<cfcase value="[3]">
		<!--- 
		Alaska!  Needs special processing subroutine 
		--->
		<cfquery 
			datasource="#attributes.SiteDSN#" 
			name="AZoneGrab" 
			maxrows="1" 
			username="#request.UPSRUName#" 
			password="#request.UPSRPWD#">
			SELECT
				ups_alaska.ZIP,
				ups_alaska.NextDay
			FROM ups_alaska
			WHERE 
				ups_alaska.ZIP=
				<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.PostalCode#">
		</cfquery>
		<cfset AZone=AZoneGrab.NextDay>
		<cfswitch expression="#AZone#">
			<cfcase value="124"><cfset caller.ups_Charge=RateGrab.Zone124></cfcase>
			<cfcase value="126"><cfset caller.ups_Charge=RateGrab.Zone126></cfcase>
		</cfswitch>
	</cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
</cfswitch>
<!--- 
add the Early A.M surcharge if applicable 
--->
<cfif caller.ups_Charge GT 0 AND not CompareNoCase(attributes.ServiceType,"1DAEAM")>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAEAMCharge>			
</cfif>
<!--- 
test for and include the Extended Area and Residential surcharges if applicable 
--->
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfif not CompareNoCase(attributes.ResRates,"YES")>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAResDASCharge>
	<cfelse>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAComDASCharge>
	</cfif>
</cfif>
<cfif caller.ups_Charge GT 0 and not CompareNoCase(attributes.ResRates,"YES")>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAResCharge>			
</cfif>
