<cfset caller.ups_name="Next Day Air Saver">
<!--- 
now we get the specific weight/rate record 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_1dasaver.Weight,
		ups_1dasaver.Zone132,
		ups_1dasaver.Zone133,
		ups_1dasaver.Zone134,
		ups_1dasaver.Zone135,
		ups_1dasaver.Zone136,
		ups_1dasaver.Zone137,
		ups_1dasaver.Zone138
	FROM ups_1dasaver
	WHERE 
		ups_1dasaver.Weight <= 
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_1dasaver.Weight DESC
</cfquery>
<!--- 
Now we pull the rate itself from the service database 
--->
<cfswitch expression="#ZoneGrab.NextDayAirSaver#">
	<cfcase value="132"><cfset caller.ups_Charge=RateGrab.Zone132></cfcase>
	<cfcase value="133"><cfset caller.ups_Charge=RateGrab.Zone133></cfcase>
	<cfcase value="134"><cfset caller.ups_Charge=RateGrab.Zone134></cfcase>
	<cfcase value="135"><cfset caller.ups_Charge=RateGrab.Zone135></cfcase>
	<cfcase value="136"><cfset caller.ups_Charge=RateGrab.Zone136></cfcase>
	<cfcase value="137"><cfset caller.ups_Charge=RateGrab.Zone137></cfcase>
	<cfcase value="138"><cfset caller.ups_Charge=RateGrab.Zone138></cfcase>
	<cfcase value="-">
		<!--- 
		service not available here.  No explanation given 
		--->
		<cfset caller.ups_Error="The shipping service you requested is unavailable in your area.">
	</cfcase>
</cfswitch>
<!--- 
test for and include the Extended Area and Residential surcharges if applicable 
--->
<cfinclude template="inc_xarea.cfm">
<cfif caller.ups_Charge GT 0 and Xarea.RecordCount GT 0>
	<cfif not CompareNoCase(attributes.ResRates,"YES")>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAResDASCharge>
	<cfelse>
		<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAComDASCharge>
	</cfif>
</cfif>
<cfif caller.ups_Charge GT 0 and not CompareNoCase(attributes.ResRates,"YES")>
	<cfset caller.ups_Charge=caller.ups_Charge+attributes.NDAResCharge>			
</cfif>
