<!--- 
Grab the appropriate weight record
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1"
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_ww_xpd.Weight,
		ups_ww_xpd.Zone71,
		ups_ww_xpd.Zone72
	FROM ups_ww_xpd
	WHERE 
		ups_ww_xpd.Weight<=
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_ww_xpd.Weight DESC
</cfquery>
<!--- 
Now that we have the weight record, apply the appropriate zone charge.  
If the zone isn't found, return an error. 
--->
<!--- 
Worldwide Expedited uses an East/West scheme instead of DADE/ALL OTHER in 
WorldWide Express.  However, the single Origin variable covers all the 
bases when combined with the CFSWITCH logic below 
--->
<cfswitch expression="#ZoneGrab.Expedited#">
	<cfcase value="71"><cfset caller.ups_Charge=RateGrab.Zone71></cfcase>
	<cfcase value="72"><cfset caller.ups_Charge=RateGrab.Zone72></cfcase>
	<cfdefaultcase>
		<cfset caller.ups_Error="That service is unavailable in the destination area (Zone record not found). Please try a different plan">
	</cfdefaultcase>
</cfswitch>
