<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

<cfif NOT #form.echeck# CONTAINS "on"> <!--- NOT AN ECHECK --->

<!--- Removes Spaces Dashes and | symbols from the CC Number --->
<cfset #ccnumber#='#REReplace("#ccnumber#"," -|","","ALL")#'>


<cf_openauthnet
    login="#getParams.loginid#"
    password="#getParams.paypassword#"
	ip="#form.ip#"
    type="#getParams.type#"
	amount="#form.GrandTotal#"
	invoice="#nextnum#"
	transid=""
	description="#getParams.inv_description#"
	custid="#nextid#"
	company="#getParams.storename#"
	firstname="#form.FName#"
	lastname="#form.LName#"
	address="#form.Address1#"
	city="#form.city#"
    state="#form.state#"
	zip="#form.zip#"
	country="#form.country#"
	phone="#form.phone#"
	fax=""
	email="#form.Email#"
	emailcustomer="false"
	method="CC"
	cardnum="#form.CCNumber#"
	expdate="#form.cc_expmonth#/#form.cc_expyear#"
	testrequest="#getParams.testmode#"
>

<cfelse>

<cf_openauthnet
    login="#getParams.loginid#"
    password="#getParams.paypassword#"
    type="#getParams.type#"
	amount="#form.GrandTotal#"
	invoice="#nextnum#"
	transid=""
	description="#getParams.inv_description#"
	custid="#nextid#"
	company="#form.company#"
	org_type="#form.org#"
	tax_id="#form.taxid#"
	ip="#form.ip#"
	dl="#form.dl#"
	dl_state="#form.dl_state#"
	dl_dob="#form.dl_dob#"
	firstname="#form.FName#"
	lastname="#form.LName#"
	address="#form.Address1#"
	city="#form.city#"
    state="#form.state#"
	zip="#form.zip#"
	country="#form.country#"
	phone="#form.phone#"
	fax=""
	email="#form.Email#"
	emailcustomer="false"
	method="ECHECK"
	aba_code="#form.routing_number#"
	acct_number="#form.acct_number#"
	acct_name="#form.acct_name#"
	bank_name="#form.bank_name#"
	testrequest="#getParams.testmode#"
>

</cfif>
	

<!-- Checks the response code from Authorizenet // sets the results of the 
authorization  request into the message variable.---> 


<cfif #q_auth.x_response_code# eq 1>

<cfset approved ="y">

<!--- Finalize order and write customer & order information to the database --->

<cfinclude template="../finish_order.cfm">


<cfelseif #q_auth.x_response_code# eq 2>

<cfset approved="n">

<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="../page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<cfset message="#q_auth.x_response_reason_text#">

<br><br><br>

<cfoutput>
<font face="Arial" size="2">#message#! </font>
</cfoutput>

<cfelse> 

<cfset approved="e">

<cfset message="#q_auth.x_response_reason_text#">

<BODY>

<center>

<table BORDER="0" align="center" valign="top" width="80%">
<td valign="top" align="center">
<br><cfoutput><a href="#storeurl#"><img src="#storeurl#/images/#graphic#" border="0"></a></cfoutput></td></tr>
</table>
<br><br><center>
<font face="verdansn, arial, helvetica" size=2><b>We're sorry, this transaction could not be authorized. <br>Please check your information
and try again. Thank You.</b></font><br>
<p>
<cfoutput><font face="verdansn, arial, helvetica" size=2>[#message#]</font></cfoutput>

<p>
<a href="" onClick="history.go(-1)"><font face="verdansn, arial, helvetica" size=2><b>Back</b></font></a>

<cfabort>

</cfif>










