<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>


<!--- Removes Spaces Dashes and | symbols from the CC Number --->
<cfset #ccnumber#='#REReplace("#ccnumber#"," -|","","ALL")#'>



<!----------------------------------------------------------------------
	Post to Bank of America
  ----------------------------------------------------------------------> 


<cfhttp url="https://cart.bamart.com/payment.mart" method="post" resolveurl="yes" REDIRECT="yes"> 

<!--- Contact Information --->


<cfhttpparam type="formfield" name="ioc_merchant_id" value="#getParams.loginid#">
<cfhttpparam type="formfield" name="ioc_merchant_order_id" value="#nextnum#">
<cfhttpparam type="formfield" name="ioc_merchant_shopper_id" value="#nextid#">
<cfhttpparam type="formfield" name="ecom_billto_postal_name_first" value="#form.FName#">
<cfhttpparam type="formfield" name="ecom_billto_postal_name_last" value="#form.LName#">
<cfhttpparam type="formfield" name="ecom_billto_telecom_phone_number" value="#form.phone#">
<cfhttpparam type="formfield" name="ecom_billto_online_email" value="#form.Email#">
<cfhttpparam type="formfield" name="ecom_billto_postal_street_line1" value="#form.Address1#">
<cfhttpparam type="formfield" name="ecom_billto_postal_city" value="#form.city#">
<cfhttpparam type="formfield" name="ecom_billto_postal_stateprov" value="#form.state#">
<cfhttpparam type="formfield" name="ecom_billto_postal_postalcode" value="#form.zip#">
<cfhttpparam type="formfield" name="ecom_billto_postal_countrycode" value="#form.country#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_name_first" value="#form.ShipName#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_street_line1" value="#form.ShipAddress1#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_city" value="#form.ShipCity#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_stateprov" value="#form.ShipState#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_postalcode" value="#form.ShipZip#">
<cfhttpparam type="formfield" name="ecom_shipto_postal_countrycode" value="#form.ShipCountry#">
<cfhttpparam type="formfield" name="ShipWeight" value="#form.ShipWeight#">
<cfhttpparam type="formfield" name="Shipping" value="#form.Shipping#">
	
<!--- Order Information ---> 

<cfhttpparam type="formfield" name="ecom_payment_card_name" value="#form.CCName#">
<cfhttpparam type="formfield" name="ioc_order_total_amount" value="#form.GrandTotal#">
<cfhttpparam type="formfield" name="ecom_payment_card_number" value="#form.CCNumber#">
<cfhttpparam type="formfield" name="ecom_payment_card_expdate_month" value="#form.cc_expmonth#">
<cfhttpparam type="formfield" name="ecom_payment_card_expdate_year" value="#form.cc_expyear#">


</cfhttp>






