<!----------------------------------------------------------------------
		Originally Developed by Ralph Fiol, January 1999
		
		Modified by: 
		Hasan Robinson a.k.a [Killer X] February 1, 2001
                (Compatible with AuthorizeNet 2.5 and 3.0) 
		AISMEDIA Inc. (www.aismedia.com)
		678.382.2247 x113 
		hasan@aismedia.com,bas@unknowndesigns.com
		<cf_openauthnet> Version 1.1
		
	
	
		
	

	Set defaults for common parameters
-------------------------------------------------------------------------->

<cfquery name="getParams" datasource="#attributes.datasource#">
SELECT * FROM Params 
</cfquery>	

<cfparam name="attributes.queryname" default="q_auth">
<cfparam name="attributes.login" default="testdrive">
<cfparam name="attributes.password" default="">
<cfparam name="attributes.type" default="auth_only">
<cfparam name="attributes.description" default="">
<cfparam name="attributes.emailcustomer" default="true">
<cfparam name="attributes.testrequest" default="false">
<cfparam name="attributes.invoice" default="">
<cfparam name="attributes.transid" default="">
<cfparam name="attributes.custid" default="">
<cfparam name="attributes.method" default="cc">

<!----------------------------------------------------------------------
	Post to AuthorizeNet
  ----------------------------------------------------------------------> 


<cfhttp url="https://secure.authorize.net/gateway/transact.dll" method="post"> 

<!--- Contact Information --->


<cfhttpparam type="formfield" name="x_cust_id" value="#attributes.custid#">
<cfhttpparam type="formfield" name="x_company" value="#attributes.company#">
<cfhttpparam type="formfield" name="x_login" value="#attributes.login#">
<cfhttpparam type="formfield" name="x_tran_key" value="#attributes.password#">
<cfhttpparam type="formfield" name="x_first_name" value="#attributes.firstname#">
<cfhttpparam type="formfield" name="x_last_name" value="#attributes.lastname#">
<cfhttpparam type="formfield" name="x_phone" value="#attributes.phone#">
<cfhttpparam type="formfield" name="x_fax" value="">
<cfhttpparam type="formfield" name="x_email" value="#attributes.email#">
<cfhttpparam type="formfield" name="x_address" value="#attributes.address#">
<cfhttpparam type="formfield" name="x_city" value="#attributes.city#">
<cfhttpparam type="formfield" name="x_state" value="#attributes.state#">
<cfhttpparam type="formfield" name="x_zip" value="#attributes.zip#">
<cfhttpparam type="formfield" name="x_country" value="#attributes.country#">
	
<cfif NOT #form.echeck# CONTAINS "on"> <!--- NOT AN ECHECK --->	
	
<!--- Order Information ---> 
<cfhttpparam type="formfield" name="x_type" value="#attributes.type#">
<cfhttpparam type="formfield" name="x_trans_id" value="#attributes.transid#">
<cfhttpparam type="formfield" name="x_invoice_num" value="#attributes.invoice#">
<cfhttpparam type="formfield" name="x_relay_response" value="FALSE">
<cfhttpparam type="formfield" name="x_amount" value="#attributes.amount#">
<cfhttpparam type="formfield" name="x_description" value="#attributes.description#">
<cfhttpparam type="formfield" name="x_method" value="CC">
<cfhttpparam type="formfield" name="x_card_num" value="#attributes.cardnum#">
<cfhttpparam type="formfield" name="x_exp_date" value="#attributes.expdate#">
<cfhttpparam type="formfield" name="x_email_customer" value="#attributes.emailcustomer#">

<cfelse>

<!--- Order Information ---> 
<cfhttpparam type="formfield" name="x_trans_id" value="#attributes.transid#">
<cfhttpparam type="formfield" name="x_invoice_num" value="#attributes.invoice#">
<cfhttpparam type="formfield" name="x_type" value="#attributes.type#">
<cfhttpparam type="formfield" name="x_amount" value="#attributes.amount#">
<cfhttpparam type="formfield" name="x_description" value="#attributes.description#">
<cfhttpparam type="formfield" name="x_method" value="#attributes.method#">
<cfhttpparam type="formfield" name="x_bank_aba_code" value="#attributes.aba_code#">
<cfhttpparam type="formfield" name="x_bank_acct_num" value="#attributes.acct_number#">
<cfhttpparam type="formfield" name="x_bank_acct_name" value="#attributes.acct_name#">
<cfhttpparam type="formfield" name="x_bank_name" value="#attributes.bank_name#">
<cfhttpparam type="formfield" name="x_echeck_type" value="WEB">
<cfhttpparam type="formfield" name="x_bank_acct_type" value="CHECKING">
<cfhttpparam type="formfield" name="x_email_customer" value="#attributes.emailcustomer#">
</cfif>

<cfif #getParams.processor# IS "AuthNet-WellsFargo" AND #getParams.type# IS "AUTH_CAPTURE">
<cfhttpparam type="formfield" name="x_customer_ip" value="#attributes.ip#">
</cfif>

<cfif #getParams.processor# IS "AuthNet-WellsFargo" AND #getParams.type# IS "AUTH_CAPTURE" AND #form.echeck# CONTAINS "on">
<cfhttpparam type="formfield" name="x_customer_tax_id" value="#attributes.tax_id#">
<cfhttpparam type="formfield" name="x_drivers_license_num" value="#attributes.dl#">
<cfhttpparam type="formfield" name="x_drivers_license_state" value="#attributes.dl_state#">
<cfhttpparam type="formfield" name="x_drivers_license_dob" value="#attributes.dl_dob#">
</cfif>


<!--- ADC Direct Response Information --->

 
<cfhttpparam type="formfield" name="x_delim_data" value="TRUE"> 
<cfhttpparam type="formfield" name="x_relay_response" value="FALSE"> 
<cfhttpparam type="formfield" name="x_delim_char" value=",">

<!--- Misc Information --->
	
	
<cfhttpparam type="formfield" name="x_version" value="3.1">
<cfhttpparam type="formfield" name="x_test_request" value="#attributes.testrequest#">

</cfhttp>


<!----------------------------------------------------------------------
	Create a local query object for result
  ---------------------------------------------------------------------->

<cfset q_auth = QueryNew("x_response_code,x_response_subcode,x_response_reason_code,x_response_reason_text,x_auth_code")>
<cfset nil = QueryAddRow(q_auth)>
<cfset content="#cfhttp.FileContent#">
<cfif ListLen(cfhttp.FileContent) GTE 5>

	<cfset nil = QuerySetCell( q_auth, "x_response_code", Replace(ListGetAt(CFHTTP.FileContent, 1),'"','','ALL'))>
	<cfset nil = QuerySetCell( q_auth, "x_response_subcode", Replace(ListGetAt(CFHTTP.FileContent, 2),'"','','ALL'))>
	<cfset nil = QuerySetCell( q_auth, "x_response_reason_code", Replace(ListGetAt(CFHTTP.FileContent, 3),'"','','ALL'))>
	<cfset nil = QuerySetCell( q_auth, "x_response_reason_text", Replace(ListGetAt(CFHTTP.FileContent, 4),'"','','ALL'))>
	<cfset nil = QuerySetCell( q_auth, "x_auth_code", Replace(ListGetAt(CFHTTP.FileContent, 5),'"','','ALL'))>
	
<cfelse>

	<cfset nil = QuerySetCell( q_auth, "x_response_code", "E")>
	<cfset nil = QuerySetCell( q_auth, "x_response_subcode", "")>
	<cfset nil = QuerySetCell( q_auth, "x_response_reason_code", "")>
	<cfset nil = QuerySetCell( q_auth, "x_response_reason_text", "Invalid Response from AuthorizeNet")>
	<cfset nil = QuerySetCell( q_auth, "x_auth_code", "")>

</cfif>


<!----------------------------------------------------------------------
	Set caller query object
  ---------------------------------------------------------------------->
<CFSET "Caller.#attributes.queryname#" = "#q_auth#"> 
