<cfquery datasource="#datasource#" name="showorder">
SELECT Orders.Quantity,Orders.ItemTotal,Orders.TotItemWeight,Orders.Att1,Orders.Att2,Products.Price,
Products.ItemName, Products.SKU, Products.Units, Products.ItemID, Products.Weight FROM Orders 
INNER JOIN Products ON Orders.ItemID = Products.ItemID 
WHERE OrderID = <cfqueryparam value="#OrderID#" cfsqltype="CF_SQL_NUMERIC"> 
</cfquery>

<cfset OrderTotal = 0>
<cfset TotOrderWeight = 0>

<CFLOOP QUERY="showorder">
<CFSET OrderTotal = #OrderTotal# + #ItemTotal#>
<CFSET TotOrderWeight = #TotOrderWeight# + #TotItemWeight#>
</CFLOOP>
<CFSET GrandTotal = #OrderTotal#>

<cfif #getParams.type# IS "AUTH_ONLY">
<cfset #paymentaction# = "authorization">
<cfelse>
<cfset paymentaction = "sale">
</cfif>



<!--- GET SHIPPING OPTIONS IF EXIST --->

<cfquery datasource="#datasource#" name="showOptions">
SELECT Option_, OptRate FROM ShipOptions 
ORDER BY OptID
</cfquery>



<!--- ***************** PAGE HEADER INCLUDE ******************* --->
<cfinclude template="page_header.cfm">
<!--- ***************** PAGE HEADER INCLUDE ******************* --->

<br>

<TABLE WIDTH="575" CELLSPACING="0" cellpadding="3" border="0">
<TR bgcolor="BFDFFF"><TD width="20%"><font class="boldtext" color="black">Item</font></TD>
<TD>&nbsp;</TD><TD>&nbsp;</TD><TD><font class="boldtext" color="black">SKU</font></TD>
<TD align="right"><font class="boldtext" color="black">Price</font></TD>
<TD align="right"><font class="boldtext" color="black">Qty</font></TD>
<TD align="right"><font class="boldtext" color="black">Total</font></TD>
</TR>

<CFOUTPUT QUERY="showorder">
<TR BGCOLOR="##E2E2E2">
<TD><font class="text">#showorder.ItemName#</font></TD>
<TD><font class="text"><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class="text"><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class="text"><cfif #Len(showorder.SKU)# GT 0>#showorder.SKU#<cfelse>&nbsp;</cfif></font></TD>
<TD align="right" nowrap><font class="text">#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right nowrap><font class="text">#showorder.Quantity#</font></TD>
<TD align="right"><font class="text">#TRIM(NumberFormat(showorder.ItemTotal,"999,999,999.99"))#</font></TD>
</TR>
</CFOUTPUT>

<CFOUTPUT>
<TR>
<TD bgcolor="##C0C0C0" colspan=3><font class="text">Order SubTotal</font></TD>
<TD bgcolor="##C0C0C0">&nbsp;</TD><TD bgcolor="##C0C0C0">&nbsp;</TD>
<TD COLSPAN=2 align="right" bgcolor="##C0C0C0"><font class="text">#TRIM(NumberFormat(OrderTotal,"$999,999,999.99"))#</font></TD>
</TR>
</cfoutput>
</table>

<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->

<TABLE WIDTH="575" CELLSPACING="0" cellpadding="5" border="0"> 


<!--- PAypal express checkout --->

<cfif #getParams.ppec# CONTAINS "on">

<TR><TD colspan="3">

<FORM ACTION="reviewOrder.cfm" METHOD="post" >
<input type="hidden" name="amount" size="5" maxlength="7" value="#GrandTotal#" />
<input type="hidden" name="currency" value="USD" />
<input type="hidden" name="itemamt" value="#TRIM(NumberFormat(OrderTotal, "_______.__"))#">
<input type="hidden" name="taxamt" value= "#TRIM(NumberFormat(salestax,"_______.__"))#">
<input type="hidden" name="handlingamt" value="0.00">
<INPUT TYPE="hidden" NAME="PAYMENTACTION" VALUE="#paymentaction#">
<INPUT TYPE="hidden" NAME="ORDERID" VALUE="#OrderID#">

<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->

<table WIDTH="575" CELLSPACING="0" cellpadding="5" border=0> 
<tr>
<td width="70%" bgcolor="#E2E2E2" align="right"><font class="text">Choose shipping method</font></td><td colspan="2" nowrap bgcolor="#E2E2E2" align="right">
<SELECT NAME="Shippingamt">
<cfoutput query="showOptions">
<OPTION VALUE="#TRIM(NumberFormat(OptRate, "_______.__"))#">#Option_# - #TRIM(NumberFormat(OptRate,"99,999.99"))#
</cfoutput>
</SELECT>
</TD>
</TR>

<tr>
<td colspan="3" nowrap align="right">
<input type="image" name="submit" src="https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif" />
</td>
</tr>
</TABLE> 
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
<!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 --><!-- TABLE 2 -->
</FORM>

</TD></TR>

</cfif>


<TR><TD colspan="3">
<cfoutput>
<form ACTION="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=checkout" METHOD="POST">
<input type="hidden" name="OrderID" value=#OrderID#>
<input type="hidden" name="GrandTotal" value=#GrandTotal#>
<input type="hidden" name="ShipWeight" value=#form.ShipWeight#>
<input type="hidden" name="OrderTotal" value=#OrderTotal#>
<input type="hidden" name="OrderOffline" value="off">
</cfoutput>

<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<table WIDTH="575" CELLSPACING="0" cellpadding="5" border=0>
<tr>
<td width="70%" bgcolor="#E2E2E2" align="right"><font class="text">Choose shipping method</font></td><td colspan="2" nowrap bgcolor="#E2E2E2" align="right">
<SELECT NAME="Shipping">
<cfoutput query="showOptions">
<OPTION VALUE="#Option_#,#OptRate#">#Option_# - #TRIM(NumberFormat(OptRate,"99,999.99"))#
</cfoutput>
</SELECT>
</TD>
</TR>

<tr>
<td colspan="3" nowrap align="right">


<cfoutput>

<cfif NOT #template# IS "Store 4" AND NOT #template# IS "">

<a href="index.cfm?#URLToken#"><img src="images/continue.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
<cfif NOT #paypalonly# CONTAINS "on">
<br>
<cfif #getParams.ccards# CONTAINS "Visa"><img src="images/logo_ccVisa.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "MasterCard"><img src="images/logo_ccMC.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "American Express"><img src="images/logo_ccAmex.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "Discover"><img src="images/logo_ccDiscover.gif"></cfif>
</CFIF>

<cfelse>

<a href="prodpage.cfm?#URLToken#"><img src="images/continue.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<a href="checkout.cfm?#URLToken#&OrderID=#OrderID#&action=clear"><img src="images/clearcart.gif" border="0"></a>&nbsp;&nbsp;&nbsp;<input type="image" src="images/checkout.gif" border="0">
<cfif NOT #paypalonly# CONTAINS "on">
<br>
<cfif #getParams.ccards# CONTAINS "Visa"><img src="images/logo_ccVisa.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "MasterCard"><img src="images/logo_ccMC.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "American Express"><img src="images/logo_ccAmex.gif"></cfif>
<cfif #getParams.ccards# CONTAINS "Discover"><img src="images/logo_ccDiscover.gif"></cfif>
</CFIF>
</cfif>

</CFOUTPUT>
</td>
</tr>
</TABLE>
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->
<!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 --><!-- TABLE 3 -->

</TD></TR></TABLE>
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->
<!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 --><!-- TABLE 1 -->

</form>






</center>

		<cfinclude template="page_footer.cfm">