<cfquery datasource="#datasource#" name="showorder">
	SELECT Orders.Quantity,Orders.ItemTotal,Orders.ItemID,Orders.TotItemWeight,Orders.Att1,Orders.Att2,
	Products.Price,Products.ItemName,Products.SKU,Products.Units 
	FROM Orders, Products  
	WHERE Orders.ItemID = Products.ItemID 
	AND Orders.OrderID = #OrderID# 
</cfquery>

<cfif #URL.IOC_response_code# IS 0>

<cftransaction>


<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrderHist 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfif #LEN(URL.salestax)# GT 0>
<cfset salestaxinput="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Sales Tax</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(URL.salestax,'999,999,999.99'))#</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelse>
<cfset salestax = 0>
<cfset salestaxinput="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Sales Tax</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD><TD COLSPAN=2 align='right' bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
</cfif>

<cfset orderitems = "">
<CFLOOP QUERY="showorder">
<cfset orderitems="<cfif #parameterexists(orderitems)#>#orderitems#</cfif> 
<TR BGCOLOR=##E2E2E2><TD><font class='text'>#showorder.ItemName#</font></TD>
<TD><font class='text'><cfif #LEN(showorder.Att1)# GT 0>#showorder.Att1#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'><cfif #LEN(showorder.Att2)# GT 0>#showorder.Att2#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'><cfif #Len(SKU)# GT 0>#showorder.SKU#<cfelse>&nbsp;</cfif></font></TD>
<TD><font class='text'>#NumberFormat(showorder.ItemTotal/showorder.Quantity,"999,999,999.99")#</font></TD>
<TD align=right><font class='text'>#showorder.Quantity# <cfif #LEN(showorder.Units)# GT 0>#showorder.Units#</cfif></font></TD>
<TD align='right'><font class='text'>#TRIM(NumberFormat(showorder.ItemTotal,'999,999,999.99'))#</font></TD><TD align='right' nowrap>&nbsp;</TD></TR>">
</CFLOOP>


<cfif #shipmethod# is "weight">
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping (#TRIM(NumberFormat(ShipWeight,'99999.99'))# lbs.)</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(URL.Shipping,'99,999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelseif #shipmethod# is "price">
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping</font></TD><TD bgcolor='E2E2E2'>&nbsp;</TD><TD bgcolor='##E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(URL.Shipping,'99999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
<cfelse>
<cfset shippinglineitem="<TR><TD bgcolor='E2E2E2' colspan=3><font class='text'>Shipping</font></TD><TD bgcolor='##E2E2E2'>&nbsp;</TD><TD bgcolor='##E2E2E2'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='E2E2E2'><font class='text'>#TRIM(NumberFormat(URL.Shipping,'99999.99'))#</font></TD>
<TD bgcolor='E2E2E2'>&nbsp;</TD></TR>">
</cfif>



<!-- cfmail from="#notifyemail#" to="#notifyemail#" Subject="#storename# Order" type="HTML">
#URL.FName# #URL.LName# has placed order number #nextnum# at #storename#. <br>
Visit your <a href="#securepath#/admin/index.cfm">Admin Console</a> to process orders!
</cfmail -->	



<cfquery datasource="#datasource#">
	INSERT INTO Customers (CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord) 





	VALUES('#URL.FName#','#URL.LName#','#URL.PHONE#','#URL.Email#','#URL.Address1#', '', '#URL.CITY#','#URL.STATE#','#URL.ZIP#','#URL.Country#',#nextnum#,
	'#DateFormat(Now(),"MM/DD/YY")#',#URL.GrandTotal#,'#URL.FName# #URL.LName#','CC','0000-0000-0000-0000','99/99/99','#URL.custpword#')
	</cfquery>

	<cfquery datasource="#datasource#" name="getCustomerID">
	SELECT MAX(CustID) as maxid FROM Customers
	</cfquery>

	<cfloop query="showorder">
		<cfquery datasource="#datasource#">
		INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status) 
		VALUES(#nextnum#,#getCustomerID.maxid#,#ItemID#,'#SKU#',#Quantity#,#ItemTotal#,#TotItemWeight#,'#Att1#','#Att2#','Processing Order')
		</cfquery>

		<cfquery datasource="#datasource#" name="get_qty">
		SELECT Qty_In_Stock 
		FROM Products 
		WHERE ItemID = #showorder.ItemID#
		</cfquery>

		<cfquery datasource="#datasource#">
		UPDATE Products  
		SET Qty_In_Stock = (#get_qty.Qty_In_Stock# - #showorder.Quantity#)
		WHERE ItemID = #itemID#
		</cfquery>

	</cfloop>

	<cfquery datasource="#datasource#">
		INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod, ShipName, ShipAddress, ShipCity, 
		ShipState, ShipZip)  
		VALUES(#nextnum#,#getCustomerID.maxid#,#URL.GrandTotal#,#URL.Shipping#,<cfif #LEN(URL.salestax)# GT 0>#URL.salestax#<cfelse>0</cfif>,'#DateFormat(Now(),"MM/DD/YY")#','#URL.Email#','','#DateFormat(Now(),"MM/DD/YY")#','',
			<cfif #LEN(ShipName)# GT 0>'#ShipName#'<cfelse>'#URL.FName# #URL.LName#'</cfif>,
			<cfif #LEN(ShipAddress1)# GT 0>'#ShipAddress1#'<cfelse>'#URL.Address1#'</cfif>,
			<cfif #LEN(ShipCity)# GT 0>'#ShipCity#'<cfelse>'#URL.City#'</cfif>,
			<cfif #LEN(ShipState)# GT 0>'#ShipState#'<cfelse>'#URL.State#'</cfif>,
			<cfif #LEN(ShipZip)# GT 0>'#ShipZip#'<cfelse>'#URL.Zip#'</cfif>)
	</cfquery>

	<cfset emailid = #getCustomerID.maxid#>


<cfif #URL.rregistered# IS "on">

	<CFCOOKIE NAME="Return_Cust" VALUE="#URL.EMAIL#" EXPIRES="NEVER">
	
</cfif>

<!--- Delete order from temporary "Orders" table --->

<cfquery datasource="#datasource#">
DELETE FROM Orders 
WHERE OrderID = #OrderID#
</cfquery>


</cftransaction>

<!-- cfmail from="#notifyemail#" to="#form.Email#" Subject="#storename# Order">
Dear #URL.FName#,

Thank you for your order. The total charge to your #form.USER7# was #TRIM(NumberFormat(form.USER5,"$999,999,999.99"))#.


Sincerely,
#storename# Customer Service Staff
</cfmail -->

<HTML>
<HEAD>
	<STYLE TYPE="text/css">
	<!--  -->
	.text {font: 10pt/11pt arial, verdana; text-decoration: none}
	.header {font: 14pt arial, verdana}
	.boldtext {font: bold 10pt/11pt arial, verdana; text-decoration: none}
	</STYLE>
</HEAD>

<BODY bgcolor="#ffffff">
<cfoutput>
<font class='boldtext' color="black">Thank you for your order, #URL.FName# #URL.LName#!<br>
Please print this page for your records.</font>
<br>

<p>
<font class='text'>
Name: #URL.FName# #URL.LName#<br>
Address: #URL.ADDRESS1#<br>
City, State Zip: #URL.CITY#, #URL.STATE# #URL.ZIP#<br>
Country: #URL.COUNTRY#<br>
Phone: #URL.PHONE#<br>
E-Mail: #URL.EMAIL#<br>
Credit Card: CC<br>
Card Number: xxxx-xxxx-xxxx-xxxx<br>
Expiration: 99/99/99<br>
</font>
<p>
<TABLE CELLSPACING='0' cellpadding='5' border=0 bordercolor='maroon'>
<TR BGCOLOR='A3CCFF'>
<TD><font class='boldtext'>Item</font></TD><TD>&nbsp;&nbsp;&nbsp;</TD><TD>&nbsp;&nbsp;&nbsp;</TD>
<TD><font class='boldtext'>SKU</font></TD>
<TD><font class='boldtext'>Price</font></TD>
<TD align='right'><font class='boldtext'>Qty</font></TD>
<TD align='right'><font class='boldtext'>Total</font></TD><TD align='right'>&nbsp;</TD>
</TR>
#orderitems#
<TR bgcolor='CCE6FF'><TD bgcolor='CCE6FF' colspan=3><font class='boldtext'>Order SubTotal</font></TD>
<TD bgcolor='CCE6FF'>&nbsp;</TD><TD bgcolor='CCE6FF'>&nbsp;</TD>
<TD COLSPAN=2 align='right' bgcolor='CCE6FF'><font class='boldtext'>#TRIM(NumberFormat(URL.OrderTotal,'$999,999,999.99'))#</font></TD><TD bgcolor='CCE6FF'>&nbsp;</TD></TR>
#shippinglineitem#
#salestaxinput#
<TR><TD><font class='boldtext'>Order Total</font></TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
<TD COLSPAN=4 align='right'><font class='boldtext'>#TRIM(NumberFormat(URL.GrandTotal,'$999,999,999.99'))#</font></TD></TR>

<cfif #URL.shipto# IS 'on'>
<TR BGCOLOR='A3CCFF'><TD COLSPAN=8><font class='boldtext'>Ship to:</font></TD></TR>
<TR BGCOLOR=E2E2E2><TD COLSPAN=8><font class='text'>Name: #URL.ShipName#<br>

Address: #URL.ShipAddress1#<br>
City, State Zip: #URL.ShipCity#, #URL.ShipState# #URL.ShipZip#<br>
Country: #URL.ShipCountry#<br></font></TD></TR>
</cfif>

</TABLE>

</b></font>
<BR>
<p><font class='text'>Back to <a href="#storeurl#/index.cfm" target="_top">Homepage</a></b></font></cfoutput>

</CENTER -->

<cfelse>

<!--- here handle the failure --->
<!--- ******************************** --->
<!--- Here determine next order number --->

<cfquery datasource="#datasource#" name="getordernum">
SELECT MAX(OrderNum)+1 as nextnum FROM OrdHistDetail 
</cfquery>

<cfif #LEN(getordernum.nextnum)# IS 0>
<cfset nextnum = 1>
<cfelse>
<cfset nextnum = #getordernum.nextnum#>
</cfif>

<!---       End order numbering        --->
<!--- ******************************** --->

<cfquery datasource="#datasource#" name="getcustid">
SELECT MAX(CustID)+1 as nextid FROM Customers 
</cfquery>

<cfif #LEN(getcustid.nextid)# IS 0>
<cfset nextid = 1>
<cfelse>
<cfset nextid = #getcustid.nextid#>
</cfif>

<cfset ccexpires = '99/99'>

	
<cfquery datasource="#datasource#">
INSERT INTO Customers (CustID, CustFName, CustLName, CustPhone, CustEMail, CustAddress1, CustAddress2, CustCity, CustState, CustZip, CustCountry, LastOrderID, LastOrderDate, LastOrderAmt, CCName, CCType, CCNum, CCExpires, CustPWord)  
VALUES(#nextid#,'#URL.FName#','#URL.LName#','#URL.Phone#','#URL.Email#','#URL.Address1#','#URL.Address2#','#URL.City#','#URL.State#','#URL.Zip#','#URL.Country#','#OrderID#',
'#DateFormat(Now(),"MM/DD/YY")#',0,'#URL.FName# #URL.LName#','CC','0000-0000-0000-0000','99/99','')
</cfquery>

<cfloop query="showorder">
<cfquery datasource="#datasource#">
INSERT INTO OrderHist (OrderNum, CustID, ItemID, SKU, Quantity, ItemTotal, TotItemWeight, Att1, Att2, Status)  
VALUES(#nextnum#,#nextid#,0,'',0,0,0,'','','Bad Order')
</cfquery>
</cfloop>

<cfquery datasource="#datasource#">
INSERT INTO OrdHistDetail (OrderNum, CustID, GrandTotal, Shipping, SalesTax, OrderDate, CustEMail, Notes, ShipDate, ShipMethod)  
VALUES(#nextnum#,#nextid#,0,0,0,'#DateFormat(Now(),"MM/DD/YY")#','#URL.Email#','','#DateFormat(Now(),"MM/DD/YY")#','')
</cfquery>

<BODY>

<center>

<table BORDER="0" align="center" valign="top" width="80%">
<td valign="top" align="center">
<br><cfoutput><a href="#storeurl#"><img src="#storeurl#/images/#graphic#" border="0"></a></cfoutput></td></tr>
</table>
<br><br><center>
<font face="verdana, arial, helvetica" size=2><b>We're sorry, this transaction could not be authorized. <br>Please check your information
and try again. Thank You.<br>

<cfif #URL.IOC_response_code# IS "2">
<font face="Arial" size="2"><b>Card declined</b></font>
<cfelseif #URL.IOC_response_code# IS "3">
<font face="Arial" size="2"><b>No response from issuing institution. Try again.</b></font>
<cfelseif #URL.IOC_response_code# IS "4">
<font face="Arial" size="2"><b>Bad card</b></font>
<cfelseif #URL.IOC_response_code# IS "5">
<font face="Arial" size="2"><b>Error in transfer amount</b></font>
<cfelseif #URL.IOC_response_code# IS "6">
<font face="Arial" size="2"><b>Credit card expired</b></font>
<cfelseif #URL.IOC_response_code# IS "7">
<font face="Arial" size="2"><b>Transaction is invalid</b></font>
<cfelseif #URL.IOC_response_code# IS "8">
<font face="Arial" size="2"><b>Unknown system error</b></font>
<cfelseif #URL.IOC_response_code# IS "9">
<font face="Arial" size="2"><b>Duplicate request. This transaction was completed earlier.</b></font>
</cfif>

<br>


<p>
<a href="" onClick="history.go(-1)"><font face="verdana, arial, helvetica" size=2><b>Back</b></font></a>


<cfabort>
</center>
</CFIF>

</body>
</html>





